package card

import (
	cardCfg "server/conf/card"
	GoUtil "server/game_util"
)

// 随机卡牌
func randCard(Round, Star, IsGold int, Except []int) int {
	cardList := cardCfg.GetCardListByStar(Round, Star, IsGold)
	cardList = GoUtil.SubSlices(cardList, Except)
	cardId := GoUtil.RandSlice(cardList)
	return cardId
}

// 排位赛金卡
func RankGoldCard() (int, int) {
	Card1 := randCard(0, 4, 1, []int{})
	Card2 := randCard(0, 5, 1, []int{Card1})
	return Card1, Card2
}
